# Created by pyp2rpm-2.0.0
%global github_user matrix-org
%global pypi_name signedjson

%bcond_without check

Name:           python-%{pypi_name}
Version:        1.1.4
Release:        1%{?dist}.1
Summary:        Signed JSON

License:        Apache-2.0
URL:            https://github.com/%{github_user}/%{name}
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3-pytest
%endif

%description
Features:
* More than one entity can sign the same object.
* Each entity can sign the object with more than one key making it easier
  to rotate keys
* ED25519 can be replaced with a different algorithm.
* Unprotected data can be added to the object under the "unsigned" key.

%package -n     python3-%{pypi_name}
Summary:        Signed JSON
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Features:
* More than one entity can sign the same object.
* Each entity can sign the object with more than one key making it easier
  to rotate keys
* ED25519 can be replaced with a different algorithm.
* Unprotected data can be added to the object under the "unsigned" key.


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with check}
%check
%pytest -v
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst CHANGELOG.md
%license LICENSE

%changelog
* Thu Jul 10 2025 Oleg Girko <ol@infoserver.lv> - 1.1.4-1
- Update to 1.1.4
- Convert license to SPDX
- Convert to pyproject macros and generated buildrequires
- Use pytest module for tests
* Wed Feb 12 2020 Oleg Girko <ol@infoserver.lv> - 1.1.0-1
- Update to 1.1.0.
- Drop Python 2 support
- Enable tests
* Sat Nov 28 2015 Oleg Girko <ol@infoserver.lv> - 1.0.0-1
- Initial package.
